package DatabaseCreator;
use Switch;
use DB_File;
use DBI;

sub new 
{
    my $self = {};
    bless $self;
    
    $self = shift;         # Instanzoverhead
    my ($extData) = shift; # Benoetigte Daten
    
    $dbargs = {AutoCommit => 1,
               PrintError => 1};
    
    my $CreateTables = 0;
    if (!-f $extData) { $CreateTables = 1; }
    
    $dbh = DBI->connect("dbi:SQLite:dbname=$extData","","",$dbargs);
    if ($CreateTables == 1) 
    {
        $dbh->do("CREATE TABLE Nodes         (ID INTEGER primary key asc, Lat REAL key, Lon REAL key)");
        $dbh->do("CREATE TABLE Attr          (ID INTEGER key, k TEXT, v TEXT)");
        $dbh->do("CREATE TABLE Ways          (ID INTEGER key, RefID INT key)");
        $dbh->do("CREATE TABLE WaysAttr      (ID INTEGER key, k Text, v TEXT)");
        $dbh->do("CREATE TABLE Relations     (ID INTEGER key, Role Text, Ref INTEGER key, Type TEXT)");
        $dbh->do("CREATE TABLE RelationsAttr (ID INTEGER key, k Text, v TEXT)");
    }
    $dbh->disconnect();    
    return $self;
} 
1;
